/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.remoting.transport.http;

/**
 * There is some metadata that can be expected to be found in the
 * metadata passed to the server invoker handlers for http transports.
 * This class contains the constants for the keys to these values.
 *
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class HTTPMetadataConstants
{
   public static final String METHODTYPE = "MethodType";
   public static final String PATH = "Path";
   public static final String HTTPVERSION = "HttpVersion";
   public static final String RESPONSE_CODE = "ResponseCode";
   public static final String CONTENTTYPE = "Content-Type";
   public static final String RESPONSE_CODE_MESSAGE = "ResponseCodeMessage";
}