/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

/*
 * Created on Jul 24, 2005
 */
 
package org.jboss.remoting.transport.multiplex;

import java.io.IOException;
import java.io.Serializable;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

import javax.net.SocketFactory;

/**
 * 
 * <p>
 * Copyright (c) 2005
 * <p>
 * @author <a href="mailto:r.sigal@computer.org">Ron Sigal</a>
 * 
 * TODO: finish
 * TODO: write VirtualServerSocketFactory
 */
public class VirtualSocketFactory extends SocketFactory implements Serializable
{

/**
 * 
 */
   public static SocketFactory getDefault()
   {
      return new VirtualSocketFactory();
   }
   
   
/**
 * 
 */
   protected VirtualSocketFactory()
   {
   }

   
/**
 * 
 */
   public Socket createSocket()
   {
      return new VirtualSocket();
   }
   
   
/** 
 * 
 */
   public Socket createSocket(String host, int port) throws IOException, UnknownHostException
   {
      return new VirtualSocket(host, port);
   }

   
/**
 * 
 */
   public Socket createSocket(String host, int port, InetAddress localAddress, int localPort)
   throws IOException, UnknownHostException
   {
      return new VirtualSocket(host, port, localAddress, localPort);
   }

   
/**
 * 
 */
   public Socket createSocket(InetAddress address, int port) throws IOException
   {
      return new VirtualSocket(address, port);
   }

   
/**
 * 
 */
   public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)
   throws IOException, UnknownHostException
   {
      return new VirtualSocket(address, port, localAddress, localPort);
   }
}
