/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.remoting.util;

import java.net.Socket;
import java.net.UnknownHostException;
import java.net.InetAddress;
import java.io.IOException;
import java.io.Serializable;
import javax.net.SocketFactory;

/**
 * @author <a href="mailto:tom.elrod@jboss.com">Tom Elrod</a>
 */
public class SocketFactoryWrapper extends SocketFactory implements Serializable
{
   private SocketFactoryMBean factory = null;

   public SocketFactoryWrapper(SocketFactoryMBean factory)
   {
      this.factory = factory;
   }


   public Socket createSocket(String string, int i) throws IOException, UnknownHostException
   {
      return factory.createSocket(string, i);
   }

   public Socket createSocket(InetAddress inetAddress, int i) throws IOException
   {
      return factory.createSocket(inetAddress, i);
   }

   public Socket createSocket(String string, int i, InetAddress inetAddress, int i1) throws IOException, UnknownHostException
   {
      return factory.createSocket(string, i, inetAddress, i1);
   }

   public Socket createSocket(InetAddress inetAddress, int i, InetAddress inetAddress1, int i1) throws IOException
   {
      return factory.createSocket(inetAddress, i, inetAddress1, i1);
   }
}